Bug 1717947 - Can't drag and drop files from Desktop to USB drive
Summary: Can't drag and drop files from Desktop to USB drive
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-shell-extensions
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Florian Müllner
QA Contact: Desktop QE
Tomas Capek
URL:
Whiteboard:
Depends On:
Blocks: 1739559
TreeView+ depends on / blocked
 
Reported: 2019-06-06 14:03 UTC by Bill Sanford
Modified: 2021-02-01 07:41 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.Drag-and-drop does not work between desktop and applications Due to a bug in the `gnome-shell-extensions` package, the drag-and-drop functionality does not currently work between desktop and applications. Support for this feature will be added back in a future release.
Clone Of:
Environment:
Last Closed: 2021-02-01 07:41:20 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab World/ShellExtensions desktop-icons issues 22 0 None None None 2019-06-07 14:45:46 UTC

Description Bill Sanford 2019-06-06 14:03:52 UTC
Description of problem:
With the install of RHEL 8.1, I logged in with X11 (Classic or Standard) and tried to drag and drop a file from Desktop to a USB drive. When I dragged the file to the USB drive, it returned right back to the original position. If I right-click copy from Desktop and paste into the USB drive, that works.

Version-Release number of selected component (if applicable):
RHEL-8.1.0-20190604.7

How reproducible:
100%

Steps to Reproduce:
1. Edit the Desktop so that icons are displayed on the Desktop.
2. Insert USB drive and drag file from Desktop to USB
3.

Actual results:


Expected results:


Additional info:

Comment 1 Bill Sanford 2019-06-06 14:07:14 UTC
I just tried to drag and drop from USB to Desktop and that does not work, either.

Comment 2 Florian Müllner 2019-06-06 15:06:32 UTC
That's an issue with the desktop-icons extension, not gnome-shell.

Comment 6 Florian Müllner 2020-04-30 21:39:24 UTC
There has been little upstream movement on the mutter/gnome-shell/desktop-icons side, so this is very unlikely to be fixed in 8.3 either.

The extension upstream is experimenting with a fork - https://gitlab.com/rastersoft/desktop-icons-ng - that splits out the UI into a GTK application whose windows are intercepted, controlled and managed by the extension, but that's unlikely to be "RHEL-ready" in the 8.3 timeframe either.

Comment 11 RHEL Program Management 2021-02-01 07:41:20 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.